Get one deed of the deed cut
curl --request GET \
--url https://api.investorlift.com/v3/deals/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/v3/deals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/v3/deals/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"deal_id": "f506a2d7028fb9e473180c67b595699d",
"property_id": "ec75171f2e593addb27429dfb4a27be2",
"parcel": {
"line": "8555 E Earll Dr",
"unit": null,
"city": "Scottsdale",
"zip": "85251",
"county_fips": "04013",
"apn": "130-38-008",
"latitude": 33.483753,
"longitude": -111.896458,
"address_held_back": null,
"location_radius_m": null,
"bedrooms": 7,
"bathrooms": 2,
"living_area_sqft": 1852,
"year_built": 1961
},
"sale_date": "2026-07-22",
"price": 585000,
"doc_class": "ECONOMIC",
"segment": "SFR",
"transaction_id": "12041317193",
"document_number": "2026.454646",
"flagged": true,
"hard_reasons": [],
"buyer_is_entity": true,
"buyer_has_trust": false,
"repeat_buyer": true,
"repeat_n_12m": 11,
"resale": {
"within_12m": true,
"sale_date": "2026-07-29",
"price": 660000,
"days_held": 7
},
"buyers": [
{
"name": "ONE ROOF LLC",
"org_id": "AZ:23297493",
"org_name": "One Roof, LLC",
"from_registry": true,
"match_basis": "filed",
"company_like": true,
"tags": []
}
],
"sellers": [
{
"name": null,
"org_id": null,
"org_name": null,
"from_registry": null,
"match_basis": "none",
"company_like": false,
"tags": []
},
{
"name": null,
"org_id": null,
"org_name": null,
"from_registry": null,
"match_basis": "none",
"company_like": false,
"tags": []
}
],
"chain": [
{
"deal_id": "e167b7313270bd4768fd8a594b36a36a",
"position": 1,
"sale_date": "2026-07-29",
"price": 660000,
"doc_class": "ECONOMIC",
"flagged": true,
"buyers": [
{
"name": "HI HOMES LLC",
"org_id": "AZ:23093450",
"org_name": "Arizona Rovers Football Club LLC",
"from_registry": true,
"match_basis": "filed",
"company_like": true,
"tags": [
"builder"
]
}
]
},
{
"deal_id": "f506a2d7028fb9e473180c67b595699d",
"position": 2,
"sale_date": "2026-07-22",
"price": 585000,
"doc_class": "ECONOMIC",
"flagged": true,
"buyers": [
{
"name": "ONE ROOF LLC",
"org_id": "AZ:23297493",
"org_name": "One Roof, LLC",
"from_registry": true,
"match_basis": "filed",
"company_like": true,
"tags": []
}
]
},
{
"deal_id": "b9d97b32c646ee2356824fa30a6f3930",
"position": 3,
"sale_date": "2021-12-20",
"price": 388000,
"doc_class": "ECONOMIC",
"flagged": false,
"buyers": [
{
"name": null,
"org_id": null,
"org_name": null,
"from_registry": null,
"match_basis": "none",
"company_like": false,
"tags": []
},
{
"name": null,
"org_id": null,
"org_name": null,
"from_registry": null,
"match_basis": "none",
"company_like": false,
"tags": []
}
]
},
{
"deal_id": "ab7f049da36dc79097d299999585467a",
"position": 4,
"sale_date": "2012-04-17",
"price": 205000,
"doc_class": "ECONOMIC",
"flagged": false,
"buyers": [
{
"name": null,
"org_id": null,
"org_name": null,
"from_registry": null,
"match_basis": "none",
"company_like": false,
"tags": []
}
]
},
{
"deal_id": "aa4d154e0b5c9307ed52f98fa76947e4",
"position": 6,
"sale_date": "2009-04-15",
"price": 182500,
"doc_class": "ECONOMIC",
"flagged": false,
"buyers": [
{
"name": null,
"org_id": "AZ:L16136103",
"org_name": "LUTZ WALLCOVERING, LLC",
"from_registry": true,
"match_basis": "principal",
"company_like": false,
"tags": []
}
]
},
{
"deal_id": "966a65206c7d1e1bd7979ae6a2d3a5f3",
"position": 7,
"sale_date": "2009-01-27",
"price": 198817,
"doc_class": "DISTRESSED",
"flagged": true,
"buyers": [
{
"name": "LASALLE BANK NATIONAL ASSOCIATION",
"org_id": "AZ:name:LASALLE BANK NATIONAL ASSOCIATION",
"org_name": "LASALLE BANK NATIONAL ASSOCIATION",
"from_registry": false,
"match_basis": "none",
"company_like": true,
"tags": [
"institution"
]
}
]
},
{
"deal_id": "9ab914d29f6a6fad1e8045302edd493f",
"position": 8,
"sale_date": "2006-10-25",
"price": 375000,
"doc_class": "ECONOMIC",
"flagged": true,
"buyers": [
{
"name": null,
"org_id": null,
"org_name": null,
"from_registry": null,
"match_basis": "none",
"company_like": false,
"tags": []
}
]
},
{
"deal_id": "bbe0a635d6e7c64e305bc5f9b5ef779c",
"position": 10,
"sale_date": "2002-12-10",
"price": 190000,
"doc_class": "ECONOMIC",
"flagged": false,
"buyers": [
{
"name": null,
"org_id": "AZ:L10791762",
"org_name": "CURE THE SHORTAGE LLC",
"from_registry": true,
"match_basis": "principal",
"company_like": false,
"tags": []
},
{
"name": null,
"org_id": null,
"org_name": null,
"from_registry": null,
"match_basis": "none",
"company_like": false,
"tags": []
}
]
}
],
"auction": null,
"reo": null,
"marketplace": [
{
"listing_id": "il_329177",
"source": "investorlift",
"source_listing_id": "329177",
"published_on": "2026-07-17",
"status_word": "sold",
"asking_price": 750990,
"buy_now_price": null,
"zip": "85251",
"property_id": "ec75171f2e593addb27429dfb4a27be2",
"resolve": "exact",
"n_candidates": 1,
"legs": {
"pre": 0,
"close": 2,
"late": 0
},
"closing": {
"deal_id": "f506a2d7028fb9e473180c67b595699d",
"sale_date": "2026-07-22",
"price": 585000,
"window": "close",
"buyer": {
"org_id": "AZ:23297493",
"org_name": "One Roof, LLC",
"from_registry": true
}
},
"price_within_asking": false,
"outcome": "closed",
"seller": {
"org_id": "il_2017",
"org_name": "OneRoof Real Estate Group"
},
"wholesaler": {
"org_id": null,
"match": "none"
}
}
]
},
"meta": {
"generated_at": "2026-10-07T20:37:44.149Z",
"coverage": [],
"terms": "Data: Investorlift Data Services. Public-record and MLS listing data licensed through BatchData; municipal short-term rental registries; Investorlift marketplace records. Attribution and data-use terms: https://developers.investorlift.com/guides/terms",
"build": {
"states": [
{
"state": "AZ",
"build_id": null,
"built_at": "2026-10-07T19:57:24.579Z",
"published_at": "2026-10-07T20:29:57.916Z",
"run_id": 1791403199
},
{
"state": "CA",
"build_id": null,
"built_at": "2026-09-24T01:58:30.453Z",
"published_at": "2026-09-24T03:15:56.838Z",
"run_id": 1790215190
},
{
"state": "FL",
"build_id": "0e5fa9bc",
"built_at": "2026-09-24T15:08:23.506Z",
"published_at": "2026-09-24T18:59:42.805Z",
"run_id": 1790262682
},
{
"state": "TX",
"build_id": "775ed08d",
"built_at": "2026-09-24T11:08:10.587Z",
"published_at": "2026-09-24T13:16:03.157Z",
"run_id": 1790248213
}
]
}
}
}Lean set (/v3)
Get one deed of the deed cut
Get one deed of the deed cut.
GET
/
v3
/
deals
/
{id}
Get one deed of the deed cut
curl --request GET \
--url https://api.investorlift.com/v3/deals/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/v3/deals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/v3/deals/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"deal_id": "f506a2d7028fb9e473180c67b595699d",
"property_id": "ec75171f2e593addb27429dfb4a27be2",
"parcel": {
"line": "8555 E Earll Dr",
"unit": null,
"city": "Scottsdale",
"zip": "85251",
"county_fips": "04013",
"apn": "130-38-008",
"latitude": 33.483753,
"longitude": -111.896458,
"address_held_back": null,
"location_radius_m": null,
"bedrooms": 7,
"bathrooms": 2,
"living_area_sqft": 1852,
"year_built": 1961
},
"sale_date": "2026-07-22",
"price": 585000,
"doc_class": "ECONOMIC",
"segment": "SFR",
"transaction_id": "12041317193",
"document_number": "2026.454646",
"flagged": true,
"hard_reasons": [],
"buyer_is_entity": true,
"buyer_has_trust": false,
"repeat_buyer": true,
"repeat_n_12m": 11,
"resale": {
"within_12m": true,
"sale_date": "2026-07-29",
"price": 660000,
"days_held": 7
},
"buyers": [
{
"name": "ONE ROOF LLC",
"org_id": "AZ:23297493",
"org_name": "One Roof, LLC",
"from_registry": true,
"match_basis": "filed",
"company_like": true,
"tags": []
}
],
"sellers": [
{
"name": null,
"org_id": null,
"org_name": null,
"from_registry": null,
"match_basis": "none",
"company_like": false,
"tags": []
},
{
"name": null,
"org_id": null,
"org_name": null,
"from_registry": null,
"match_basis": "none",
"company_like": false,
"tags": []
}
],
"chain": [
{
"deal_id": "e167b7313270bd4768fd8a594b36a36a",
"position": 1,
"sale_date": "2026-07-29",
"price": 660000,
"doc_class": "ECONOMIC",
"flagged": true,
"buyers": [
{
"name": "HI HOMES LLC",
"org_id": "AZ:23093450",
"org_name": "Arizona Rovers Football Club LLC",
"from_registry": true,
"match_basis": "filed",
"company_like": true,
"tags": [
"builder"
]
}
]
},
{
"deal_id": "f506a2d7028fb9e473180c67b595699d",
"position": 2,
"sale_date": "2026-07-22",
"price": 585000,
"doc_class": "ECONOMIC",
"flagged": true,
"buyers": [
{
"name": "ONE ROOF LLC",
"org_id": "AZ:23297493",
"org_name": "One Roof, LLC",
"from_registry": true,
"match_basis": "filed",
"company_like": true,
"tags": []
}
]
},
{
"deal_id": "b9d97b32c646ee2356824fa30a6f3930",
"position": 3,
"sale_date": "2021-12-20",
"price": 388000,
"doc_class": "ECONOMIC",
"flagged": false,
"buyers": [
{
"name": null,
"org_id": null,
"org_name": null,
"from_registry": null,
"match_basis": "none",
"company_like": false,
"tags": []
},
{
"name": null,
"org_id": null,
"org_name": null,
"from_registry": null,
"match_basis": "none",
"company_like": false,
"tags": []
}
]
},
{
"deal_id": "ab7f049da36dc79097d299999585467a",
"position": 4,
"sale_date": "2012-04-17",
"price": 205000,
"doc_class": "ECONOMIC",
"flagged": false,
"buyers": [
{
"name": null,
"org_id": null,
"org_name": null,
"from_registry": null,
"match_basis": "none",
"company_like": false,
"tags": []
}
]
},
{
"deal_id": "aa4d154e0b5c9307ed52f98fa76947e4",
"position": 6,
"sale_date": "2009-04-15",
"price": 182500,
"doc_class": "ECONOMIC",
"flagged": false,
"buyers": [
{
"name": null,
"org_id": "AZ:L16136103",
"org_name": "LUTZ WALLCOVERING, LLC",
"from_registry": true,
"match_basis": "principal",
"company_like": false,
"tags": []
}
]
},
{
"deal_id": "966a65206c7d1e1bd7979ae6a2d3a5f3",
"position": 7,
"sale_date": "2009-01-27",
"price": 198817,
"doc_class": "DISTRESSED",
"flagged": true,
"buyers": [
{
"name": "LASALLE BANK NATIONAL ASSOCIATION",
"org_id": "AZ:name:LASALLE BANK NATIONAL ASSOCIATION",
"org_name": "LASALLE BANK NATIONAL ASSOCIATION",
"from_registry": false,
"match_basis": "none",
"company_like": true,
"tags": [
"institution"
]
}
]
},
{
"deal_id": "9ab914d29f6a6fad1e8045302edd493f",
"position": 8,
"sale_date": "2006-10-25",
"price": 375000,
"doc_class": "ECONOMIC",
"flagged": true,
"buyers": [
{
"name": null,
"org_id": null,
"org_name": null,
"from_registry": null,
"match_basis": "none",
"company_like": false,
"tags": []
}
]
},
{
"deal_id": "bbe0a635d6e7c64e305bc5f9b5ef779c",
"position": 10,
"sale_date": "2002-12-10",
"price": 190000,
"doc_class": "ECONOMIC",
"flagged": false,
"buyers": [
{
"name": null,
"org_id": "AZ:L10791762",
"org_name": "CURE THE SHORTAGE LLC",
"from_registry": true,
"match_basis": "principal",
"company_like": false,
"tags": []
},
{
"name": null,
"org_id": null,
"org_name": null,
"from_registry": null,
"match_basis": "none",
"company_like": false,
"tags": []
}
]
}
],
"auction": null,
"reo": null,
"marketplace": [
{
"listing_id": "il_329177",
"source": "investorlift",
"source_listing_id": "329177",
"published_on": "2026-07-17",
"status_word": "sold",
"asking_price": 750990,
"buy_now_price": null,
"zip": "85251",
"property_id": "ec75171f2e593addb27429dfb4a27be2",
"resolve": "exact",
"n_candidates": 1,
"legs": {
"pre": 0,
"close": 2,
"late": 0
},
"closing": {
"deal_id": "f506a2d7028fb9e473180c67b595699d",
"sale_date": "2026-07-22",
"price": 585000,
"window": "close",
"buyer": {
"org_id": "AZ:23297493",
"org_name": "One Roof, LLC",
"from_registry": true
}
},
"price_within_asking": false,
"outcome": "closed",
"seller": {
"org_id": "il_2017",
"org_name": "OneRoof Real Estate Group"
},
"wholesaler": {
"org_id": null,
"match": "none"
}
}
]
},
"meta": {
"generated_at": "2026-10-07T20:37:44.149Z",
"coverage": [],
"terms": "Data: Investorlift Data Services. Public-record and MLS listing data licensed through BatchData; municipal short-term rental registries; Investorlift marketplace records. Attribution and data-use terms: https://developers.investorlift.com/guides/terms",
"build": {
"states": [
{
"state": "AZ",
"build_id": null,
"built_at": "2026-10-07T19:57:24.579Z",
"published_at": "2026-10-07T20:29:57.916Z",
"run_id": 1791403199
},
{
"state": "CA",
"build_id": null,
"built_at": "2026-09-24T01:58:30.453Z",
"published_at": "2026-09-24T03:15:56.838Z",
"run_id": 1790215190
},
{
"state": "FL",
"build_id": "0e5fa9bc",
"built_at": "2026-09-24T15:08:23.506Z",
"published_at": "2026-09-24T18:59:42.805Z",
"run_id": 1790262682
},
{
"state": "TX",
"build_id": "775ed08d",
"built_at": "2026-09-24T11:08:10.587Z",
"published_at": "2026-09-24T13:16:03.157Z",
"run_id": 1790248213
}
]
}
}
}This route serves the lean set under
/v3/deals/{id}. See The lean dataset for the tier rules.Authorizations
API key from the developer console (starts with zpka_). Create one at https://developers.investorlift.com/get-a-key. The same key works on POST /mcp.
Path Parameters
The deal id, as a deal row or a chain link carries it.
Was this page helpful?